package cn.wisenergy.chnmuseum.party.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 展板
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("exhibition_board")
@ApiModel(value = "ExhibitionBoard对象", description = "展板")
public class ExhibitionBoard implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "展板内容ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "展板分类名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "展板版权方ID")
    @TableField("board_copyright_owner_id")
    private String boardCopyrightOwnerId;

    @ApiModelProperty(value = "展板分类ID")
    @TableField("exhibition_board_cat_id")
    private String exhibitionBoardCatId;

    @ApiModelProperty(value = "展板图片URL")
    @TableField("board_img_url")
    private String boardImgUrl;

    @ApiModelProperty(value = "展板二维码URL")
    @TableField("board_qrcode_url")
    private String boardQrcodeUrl;

    @ApiModelProperty(value = "简介")
    @TableField("introduction")
    private String introduction;

    @ApiModelProperty(value = "视频版权方ID")
    @TableField("asset_copyright_owner_id")
    private String assetCopyrightOwnerId;

    @ApiModelProperty(value = "视频类别ID")
    @TableField("asset_type")
    private String assetType;

    @ApiModelProperty(value = "视频ID")
    @TableField("asset_id")
    private String assetId;

    @ApiModelProperty(value = "导览音频URL")
    @TableField("guide_audio_url")
    private String guideAudioUrl;

    @ApiModelProperty(value = "参考资料")
    @TableField("reference_material")
    private String referenceMaterial;

    @ApiModelProperty(value = "创建日期")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改日期")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "审核状态")
    @TableField("audit_status")
    private Integer auditStatus;

}
